Bug 865838 - Hibernation broken after first pm-suspend-hybrid
Hibernation broken after first pm-suspend-hybrid
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 11:25 EDT by Jiri Pospisil
Modified: 2013-07-04 04:13 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 13:28:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of pm-utils-bugreport-info.sh before the first pm-suspend-hybrid (3.21 KB, text/plain)
2012-10-12 11:25 EDT, Jiri Pospisil
no flags Details
Output of pm-utils-bugreport-info.sh after the first pm-suspend-hybrid (11.91 KB, text/plain)
2012-10-12 11:26 EDT, Jiri Pospisil
no flags Details
Output of dmesg (89.67 KB, text/plain)
2012-10-12 11:29 EDT, Jiri Pospisil
no flags Details
Output of pm-utils-bugreport-info.sh after the second pm-suspend-hybrid (11.98 KB, text/plain)
2012-10-17 08:39 EDT, Jiri Pospisil
no flags Details

  None (edit)
Description Jiri Pospisil 2012-10-12 11:25:24 EDT
Created attachment 626060 [details]
Output of pm-utils-bugreport-info.sh before the first pm-suspend-hybrid

Description of problem:
After pm-suspend-hybrid, when I try to do pm-hibernate or pm-suspend-hybrid, it doesn't work. I can see memory image written to swap, but fter that, the system doesn't suspend/hibernate, but returns to the desktop.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot Fedora
2. # pm-suspend-hybrid
3. wake the machine up
4. # pm-suspend-hybrid
  
Actual results:
System writes memory image to swap and then returns to the desktop.

Expected results:
System writes memory image to swap and suspends.

Additional info:
Using pm-testday provided live USB drive. Machine profile: http://www.smolts.org/client/show/pub_29d45dd7-df6b-4468-8b0c-f26537abea6b
Comment 1 Jiri Pospisil 2012-10-12 11:26:27 EDT
Created attachment 626061 [details]
Output of pm-utils-bugreport-info.sh after the first pm-suspend-hybrid
Comment 2 Jiri Pospisil 2012-10-12 11:29:15 EDT
Created attachment 626062 [details]
Output of dmesg

Note: after the second (=non-functional) pm-suspend-hybrid, I also tried pm-suspend and pm-hibernate. I logged the dmesg output after these actions.
Comment 3 Jaroslav Škarvada 2012-10-15 10:42:11 EDT
It seems you are also affected by bug 866487, so the functionality of pm-hibernate became pm-suspend-hybrid. And it seems you have then trouble with suspend (suspend part of pm-suspend-hybrid). Currently I have no idea why it fails, logs seems OK. Could you provide output of pm-utils-bugreport-info.sh after the failed pm-suspend?
Comment 4 Jiri Pospisil 2012-10-17 08:39:50 EDT
Created attachment 628767 [details]
Output of pm-utils-bugreport-info.sh after the second pm-suspend-hybrid
Comment 5 Jaroslav Škarvada 2012-10-17 09:27:43 EDT
Thanks, from the logs it seems the kernel has trouble accessing the swap:

pm-utils log:
echo -n "suspend" > /sys/power/disk
echo -n "disk" > /sys/power/state
echo: write error: No such device

dmesg:
sd 4:0:0:0: [sdb] Media Changed
...
PM: Swap header not found!

So the swap was on the second partition of USB flash disk (/dev/sdb2) and for the second hybrid suspend it gets unaccessible.

Maybe it is related to bug 865466.

Reassigning to kernel.
Comment 6 Fedora End Of Life 2013-04-03 15:29:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Justin M. Forbes 2013-04-05 11:57:12 EDT
Is this still a problem with 3.9 based F19 kernels?
Comment 8 Justin M. Forbes 2013-04-23 13:28:35 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.